#ifndef EXTERNALEXECUTER_H
#define EXTERNALEXECUTER_H

#include <QObject>
#include <QString>
#include <QDir>
#include <QDirIterator>
#include <QProcess>
#include <QDebug>
#include <QCoreApplication>
#include <Core/tools.h>

class ExternalExecuter : public QObject
{
    Q_OBJECT

public:
    ExternalExecuter() {};
    ~ExternalExecuter() {};
    void callApp();
    bool findApp();

    bool getIsAutoStart() const;
    void setIsAutoStart(bool value);

private:
    QString programPath;
    bool isAutoStart;
};

#endif // EXTERNALEXECUTER_H
